<div class="atp-app-appt-details">

  <div class="appt-history">

    <div class="appt-history-itm-container d-flex text-white">
      <span class="title">Total Appts.</span>
      <div class="flex-fill">: {{totalAppts || 'NILL'}} {{totalAppts ? 'Completed' : ''}}</div>
    </div>

    <div class="appt-history-itm-container d-flex text-white">
      <span class="title">This Year Appts.</span>
      <div class="flex-fill">: {{thisYearAppts || 'NILL'}} {{thisYearAppts ? 'Completed' : ''}}</div>
    </div>

    <div class="appt-history-itm-container d-flex text-white h-auto">
      <span class="title">Prev. Appt.</span>
      <div class="flex-fill" *ngIf="prevAppt">: {{prevAppt.startDateUTC  | timeFormat: 'ddd, DD MMM YYYY, hh:mm A':false:true}}, {{prevAppt.practitionerName}}</div>
      <div class="flex-fill" *ngIf="!prevAppt">: NILL</div>
    </div>

  </div>

  <!-- FUTURE APPOINTMENTS -->
  <div class="future-appt-container mt-2">
    <div class="fat-header" [class.has]="futureAppts.length > 0">
      <button class="fat-header-title-btn">
        {{futureAppts.length > 0 ? 'Future Appointments' : 'No Future Appointments'}}
      </button>
    </div>

    <section class="fat-list-section" *ngIf="futureAppts.length > 0">
      <ul class="fat-list">
        <li class="fat-list-item" *ngFor="let appt of futureAppts; let i = index;">
          <span>{{i + 1}}. </span>
          <span class="flex-fill"> {{appt.startDateUTC | timeFormat: 'ddd, DD MMM YYYY, hh:mm A':false:true}}</span>
          <span>{{appt.practitionerName}}</span>
        </li>
      </ul>
    </section>
  </div>

  <div class="appt-history mt-2">

    <div class="appt-history-itm-container d-flex text-white ft-size-10">
      <span class="title w-auto mw-auto">Created :</span>
      <div class="flex-fill">&nbsp;{{createdDate | timeFormat: 'ddd, DD MMM YYYY, hh:mm A':false:true}}
        , {{createdBy}}</div>
    </div>

    <div class="appt-history-itm-container d-flex text-white ft-size-10">
      <span class="title w-auto mw-auto">Last modified :</span>
      <div class="flex-fill">&nbsp;{{modifiedDate | timeFormat: 'ddd, DD MMM YYYY, hh:mm A':false:true}}
        , {{modifiedBy}}</div>
    </div>

  </div>
</div>

